net.dontdrinkandroot.lastfm.api.cache

## Class DiskCache

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.cache.DiskCache

All Implemented Interfaces:
  Cache

    public class DiskCache
    extends Object
    implements Cache

### Constructor Summary

Constructors
Constructor and Description
`DiskCache()`
`DiskCache(File baseDir)`

### Method Summary

Methods
`<T extends Serializable> T` `get(String id)`
`<T extends Serializable> T` `put(String id, T data, long timeToLive)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiskCache

    public DiskCache()

#### DiskCache

    public DiskCache(File baseDir)

### Method Detail

#### get

    public <T extends Serializable> T get(String id)

Specified by:
  `get` in interface `Cache`

#### put

    public <T extends Serializable> T put(String id,
                                 T data,
                                 long timeToLive)

Specified by:
  `put` in interface `Cache`